Your script is a pain in the asss... please think of compatibles before asking for latests versions of everything ONLY!

"